Obter layout de checkout
curl --request GET \
--url https://api.upag.io/v1/checkout/layouts/{layoutId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/checkout/layouts/{layoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/checkout/layouts/{layoutId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Layouts de checkout
Obter layout de checkout
Consulta um layout pelo ID
GET
https://api.upag.io
/
v1
/
checkout
/
layouts
/
{layoutId}
Obter layout de checkout
curl --request GET \
--url https://api.upag.io/v1/checkout/layouts/{layoutId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/checkout/layouts/{layoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/checkout/layouts/{layoutId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
checkout_layout.read (chave secreta).
Endpoint
curl https://api.upag.dev/v1/checkout/layouts/c1d2e3f4-5a6b-4c7d-8e9f-0a1b2c3d4e5f \
-H "Authorization: Bearer sk_test_your_api_key"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
const layout = await upag.checkoutLayouts.retrieve('c1d2e3f4-5a6b-4c7d-8e9f-0a1b2c3d4e5f');
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
string (uuid)
required
ID do layout.
Resposta
200 OK — objeto descrito na referência.
Response
{
"id": "c1d2e3f4-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"name": "Tema escuro",
"theme": { "radius": "0.65rem", "background": "oklch(0.985 0 0)", "...": "demais chaves do tema" },
"favicon": "https://example.com/favicon.png",
"desktop": null,
"mobile": null,
"createdAt": "2026-03-18T11:15:00.000Z",
"updatedAt": "2026-03-18T11:15:00.000Z"
}
404 (CHECKOUT_LAYOUT_NOT_FOUND) se o layout não existir ou pertencer a outra conta.